package com.jsh.erp.datasource.vo;

import com.jsh.erp.datasource.entities.TaskStocktaking;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 盘点任务
 */
@Data
@Accessors(chain = true)
public class TaskStocktakingVO extends TaskStocktaking {

    @ApiModelProperty(value = "负责人名称")
    private String creatorName;

    @ApiModelProperty("创建人名称")
    private String createByName;

    @ApiModelProperty("仓库名称")
    private String depotName;

}
