package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.dto.TaskStocktakingDTO;
import com.jsh.erp.datasource.entities.TaskStocktaking;
import com.jsh.erp.datasource.vo.TaskStocktakingItemVO;
import com.jsh.erp.datasource.vo.TaskStocktakingVO;

import java.util.List;

public interface TaskStocktakingService extends IService<TaskStocktaking> {

    /**
     * 新增任务
     * @param taskStocktakingDTO
     * @return
     */
    boolean add(TaskStocktakingDTO taskStocktakingDTO);

    /**
     * 任务-详情
     * @param id 任务ID
     */
    TaskStocktakingVO detail(Long id) throws Exception;

    /**
     * 任务详情-商品明细
     * @param taskStocktakingId 盘点任务ID
     * @return
     */
    List<TaskStocktakingItemVO> listByTaskStocktakingId(Long taskStocktakingId);


}
